Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Ausgabe Befehlszeile - Textfenster

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Ausgabe Befehlszeile - Textfenster (1382 mal gelesen)
cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 25. Feb. 2015 11:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ausnahmesweise mal keine Frage, nur zur Vervollständigung der CAD.de-AutoLisp-Wissensdatenbank

Ab AutoCAD2013 wird die Befehlszeile bei Standardeinstellung im Lispablauf nicht mehr in Echtzeit aktualisiert.


Dieses Verhalten wird gesteuert mit der Systemvariable CLIPROMPTUPDATE, welche leider den Ausgangswert0 (=aus) erhalten hat.

So, nun ist auch diese Variable mal im Forum erwähnt und zukünftige Sucher werden schneller fündig wie ich gestern

ABER irgendwie gibt es dennoch Probleme..
Bei mir funktioniert es auf einem PC mit Acad2013deu(SP0) nicht immer,
bei anderen nur das Textfenster nicht die Befehlszeile.

Wer da aufklären kann: Nur zu! 

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5837
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 25. Feb. 2015 13:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadffm 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadffm:
[i]Ausnahmesweise mal keine Frage,


Von Sebastian mal "ausnahmsweise keine Frage"  - welch eine Überraschung. 

Aber zum Thema:
- erstens: bei mir war der Ausgangswert 1 (obwohl ich da wissentlich noch nie dran gedreht habe)
- zweitens: egal ob 1 oder 0, ich kann keinen Unterschied erkennen: im Befehlszeilenfenster wird in beiden Fällen alles  in Echtzeit "gepromptet", in der Befehlszeile passiert in beiden Fällen nichts (LISP läuft "silent").

Getestet mit ACAD 2015, SP2.

Oder ich habe die beabsichtigte Wirkung dieser Variablen gar nicht verstanden. Deshalb hier auch noch meine Testdatei:

(defun c:test ()
  (command "linie" "0,0" "100,100" "")
  (command "Reihe" "l" "" "r" 100 150 60 30)
  (command "kreis" "50,50" "50")
  (command "kreis" "50,50" "60")
  (command "kreis" "50,50" "70")
  (command "kreis" "50,50" "80")
  (command "kreis" "50,50" "90")
  (command "kreis" "50,50" "10")
  (command "kreis" "50,50" "20")
  (command "kreis" "50,50" "30")
  (command "kreis" "50,50" "40")
  (command "kreis" "50,50" "50")
  (command "kreis" "50,50" "50")
  (command "kreis" "50,50" "50")
  (command "kreis" "50,50" "50")
  (command "kreis" "50,50" "50")
  (command "Reihe" "l" "" "r" 150 150 80 30)
)

Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 25. Feb. 2015 13:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

mach dir nichts draus, die erste Wirkung zeigte sich bei meinem Acad auch erst am nächsten Tag, bei CADmium nur im Textfenster, nicht in der Befehlszeile..
Scheint ein hochdynamischer Prozess zusein. (den man dann noch mit Angedockt / Abgedockt  - Commandline / TextScr durchtesten kann )

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 25. Feb. 2015 13:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadffm 10 Unities + Antwort hilfreich

ging auch eher um sowas :

(defun C:PRINCTEST(/ N)
  (setq N 0)
  (repeat 10000 (princ (strcat "\r" (itoa(setq N(1+ n))))))
)

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz